Сайт | Скачать | Видео | Wiki

Автор Тема: LFD10 x86_64  (Прочитано 7779 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 3083
  • Репутация: +98/-1
Re: LFD10 x86_64
« Ответ #15 : 25 Октябрь 2019, 21:16:44 »
Причем initrd.xz взять из DDR01
с инитрд от ддр загрузилась!
Минутка занудства. :) Он одинаков во всех PRA (pra64, pra09, dd01).

Upd. В распакованных на разделе у меня - одинаковый inittd. Если смотреть в iso, то там не все так единообразно.
« Последнее редактирование: 25 Октябрь 2019, 21:23:04 от krasnyh »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 3083
  • Репутация: +98/-1
Re: LFD10 x86_64
« Ответ #16 : 26 Октябрь 2019, 00:28:15 »
Выложил репу
Сейчас надо проверить какие модули от пра6408
Проверил на запуск в минимальной рабочей комплектации - система+браузер. Palemoon запускается, ютуб 'пашет', звук есть.
Скрин.


Надо добавить еще libc6_2.30-0ubuntu2_amd64.pfs в modules, иначе mpv ссылается на libm.so.6.
« Последнее редактирование: 26 Октябрь 2019, 00:58:55 от krasnyh »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #17 : 26 Октябрь 2019, 08:39:54 »
без добавления в него модулей ядра 4.15.4
Без 000*pfs возможны любые глюки
с новым 001 - графические проги не запускаются - нужны либы gtk11
Сделайте так:
Код
Подключенные модули:
/dev/loop1: [2054]:8399165 (/mnt/sda6/db-iso/pra64/base/001-d10-sf11.pfs)
/dev/loop11: [2054]:8399132 (/mnt/sda6/db-iso/pra64/base/089-lfd10-upd-sf11.pfs)
/dev/loop8: [2054]:8399169 (/mnt/sda6/db-iso/pra64/optional/083-palemoon-profile-ru-28.7.0_any-sf01.pfs)
/dev/loop4: [2054]:8399103 (/mnt/sda6/db-iso/pra64/base/084-theme-pop-green-blue_any-sf04.pfs)
/dev/loop2: [2054]:8399163 (/mnt/sda6/db-iso/pra64/base/035-gtk2-d10-sf07.pfs)
/dev/loop0: [2054]:8399102 (/mnt/sda6/db-iso/pra64/base/000-kernel-4.15.4-pf_64.pfs)
/dev/loop12: [2054]:8399140 (/mnt/sda6/db-iso/pra64/base/090-save-190119aih-d10.pfs)
/dev/loop9: [2054]:8399170 (/mnt/sda6/db-iso/pra64/optional/palemoon-p-28.7.1_64-sf01.pfs)
/dev/loop10: [2054]:8399106 (/mnt/sda6/db-iso/pra64/optional/089-de-tint2g_gtk2-p_64-sf24.pfs)
/dev/loop5: [2054]:8400315 (/mnt/sda6/db-iso/pra64/base/libc6_2.30-0ubuntu2_amd64.pfs)
/dev/loop3: [2054]:8399168 (/mnt/sda6/db-iso/pra64/base/070-d10-sf05.pfs)

В распакованных на разделе у меня - одинаковый inittd
Здесь нужен initrd.xz версии 190605. В нем прикручен systenV5 init (DDR и LFD10 со старым не будут работать)
И правка ключей монтирования fat для porteus ядер

один раз упала панель lxpanel из 089-lxde из  pra1904
Подобные темы бывали на форуме. Вроде, ничего кроме железо+состав модулей не нашли

поздравляем с рождением новую жизнь
Спасибо!
Тема с названием дистра по прежнему актуальна

Прошу проверить wifi через netctl

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 3083
  • Репутация: +98/-1
Re: LFD10 x86_64
« Ответ #18 : 26 Октябрь 2019, 08:56:31 »
Здесь нужен initrd.xz версии 190605
Он и есть.

Проверил на запуск в минимальной рабочей комплектации - система+браузер
Хотел вчера сделать маленький тестовый iso и выложить, чтобы народ погонял 64bit 'юбунтообразную' систему. Но нужно было еще заставить mpv работать с ютубом.
Положил youtube-dl_any-sf07, а вот с питоном незадача.  Не заработало ни с python2-2.7.14-180101-sf01, ни с python2-d8-ssl11-p-2.7_64-sf02.


upd. Надо обновить 083-palemoon-profile-ru-28.7.0 - при запуске palemoon-p-28.7.1_64 появляется инф. окно о необходимости обновления расширений. И сделать что-то с автозапуском видео на ютубе. Негоже это на потенциально слабом железе, а мне в принципе не нравится такое поведение сайтов.  :)
« Последнее редактирование: 26 Октябрь 2019, 09:01:59 от krasnyh »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #19 : 26 Октябрь 2019, 09:24:05 »
python2-d8-ssl11-p-2.7_64-sf02
Код
# youtube-dl
ImportError: libssl.so.1.0.0: cannot open shared object file: No such file or directory
Эта либа в этом дистре будет только в modem.pfs
repo2pfs python2-minimal libpython2.7-stdlib должно работать
Но есть проблема
[ytdl_hook] ERROR: Unable to download webpage: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED]
И repo2pfs >1 пакета тоже не работает
Чиню...
обновить 083-palemoon-profile-ru-28.7.0
ok
сделать что-то с автозапуском видео на ютубе
Это ?
Еще кто-нибудь юзает?
никто не откликнулся

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #20 : 26 Октябрь 2019, 09:51:43 »
sudo apt install python2-minimal libpython2.7-stdlib (сделаю модуль)
+ sudo apt install ca-certificates (добавлю в 001)
Решает проблему youtube-dl

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #21 : 26 Октябрь 2019, 10:34:53 »
sudo apt install python2-minimal libpython2.7-stdlib (сделаю модуль)
python2-minimal-2.7.16-d10-sf01.pfs

apt install ca-certificates (добавлю в 001)
пока в 070
070-d10-sf06.pfs

repo2pfs >1 пакета тоже не работает
089-lfd10-upd-sf12.pfs

Оффлайн ШАМАНЯ

  • Старожил
  • ****
  • Сообщений: 213
  • Репутация: +7/-0
    • mimi linux
Re: LFD10 x86_64
« Ответ #22 : 26 Октябрь 2019, 10:49:16 »
000-kernel-4.15.4*pfs  в папке  base есть!
я про  initrd  от  DDR, вы же раньше давали рецепт по упаковыванию модулей ядра вовнутрь, а оказывется просто нужен инит 700Кб
тест без интернета:
с новым qt5 из репы  d10 запустились  coolreader(+qt4-lib)
 doublecommander  и  qmplay1804, но для него надо подключить старый  ffmpeg-light-3.4 из старой репы пра64
FBReader 0.99 запустился, но надо для него добавить из другого линукса libssl.so.1.0.0 и
libcrypto.so.1.0.0   в папку  /lib/x86_64-linux-gnu  или наверно можно устанавливать их через интернет.
sakura + 030-gtk3 работает.
conman  запускается.
firefox 54 запустился
проверить  wi-fi не могу, все сети запаролены :(
gparted-0.26
lilyterm 0.9.9  работают

UPD:
в прошлый раз  lxpanel  упала после подключения какого-то модуля, больше не повторялось.
я запускаю с  089-lxde от пра1904 и рабочий стол не загружается сразу, пишет ошибка, нет
либы  libgtk-x11*
надо в /home/live/.xinitrc  поставить знак # перед словами startlxde
и добавить строку:
exec openbox-session
после этого  startx и запускается рабочий стол.
есть проблемы с запуском:
с флешки  fat32, с разделов  ext4, созданных новой  ubuntu 19.04
инитрд не находит файлы, а с раздела ext4, созданного ubuntu1604 - запускается
и точно также с новой  ext4 не грузиться пра1608 .
может на флешке ошибки есть, но мими грузиться с неё нормально. И ещё получилось загрузить мими с базой linuxfs из  antix19-core.iso, только надо пароль набирать и потом  startx
« Последнее редактирование: 26 Октябрь 2019, 11:10:40 от sfs »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #23 : 26 Октябрь 2019, 11:10:16 »
libc6_2.30 не нашлось места в каком-то большом модуле?
Он не родной. Из юбунты. Поэтому пока отдельно. Чтобы если что - перепроверить без него

я про  initrd  от  DDR, вы же раньше давали рецепт по упаковыванию модулей ядра вовнутрь
Это только для больших ядер + rootaufs2-initrd

с новым qt5 из репы  d10 запустились  coolreader(+qt4-lib)
qt4 при каких делах?
FBReader 0.99 запустился, но надо для него добавить из другого линукса libssl.so.1.0.0 и
libcrypto.so.1.0.0
Этих либ в этом дистре не будет. Перекомпилю в prar1811

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #24 : 26 Октябрь 2019, 11:13:51 »
запускаю с  089-lxde от пра1904 и рабочий стол не загружается сразу, пишет ошибка, нет
либы  libgtk-x11*
Подключите 035-gtk2 и lxqt_gtk2-p_64-sf03.pfs - аналогично с пра6408

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 3083
  • Репутация: +98/-1
Re: LFD10 x86_64
« Ответ #25 : 26 Октябрь 2019, 11:17:00 »
Чтобы если что - перепроверить без него
Надо добавить еще libc6_2.30-0ubuntu2_amd64.pfs в modules, иначе mpv ссылается на libm.so.6.
Для mpv-light-0.29.0-180101 востребован.

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #26 : 26 Октябрь 2019, 11:33:42 »
Этих либ в этом дистре не будет. Перекомпилю в prar1811
Не потребовалось fbreader-qt5-p-0.99.4_64-sf01.pfs

Для mpv-light-0.29.0-180101 востребован.
Т.к. в пра6408 давно glibc229 , а родной в Д10 glibc228 - много где потребуется
Компиляцию под другую версию glibc пока не осилил

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #27 : 27 Октябрь 2019, 09:34:04 »
070-d10-sf07.pfs
Прикрутил slimlock (блок экрана) , сделал к нему тему LF. Есть желающие сделать еще темы?

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #28 : 28 Октябрь 2019, 18:06:28 »
035-gtk2-d10-sf08.pfs
089-lfd10-upd-sf15.pfs
089-de-icewm_gtk2-1.6.2_64-sf09.pfs
089-de-icewm_gtk3-1.6.2_64-sf09.pfs
089-de-jwm_gtk2_64-sf05.pfs
lxqt_gtk2-p_64-sf04.pfs
lxqt_gtk3-p_64-sf04.pfs
089-de-lxde_gtk2-1801-sf04.pfs
089-de-ovs-1801-sf30.pfs
089-de-xfce_gtk2-1801-sf05.pfs
089-de-xfce_gtk3-1801-sf09.pfs
Доработал до использования в pra6408 и lfd10
Что делать с 1801 в названиях модулей и в какой репе размещать....
Логично заменить 1801 на _64 и переложить в pfs-portable

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 29322
  • Репутация: +196/-0
  • Автор темы
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #29 : 29 Октябрь 2019, 09:33:47 »
001-d10-sf12.pfs
Сделал trim . 71мб. т.е. уже меньше чем пра6408. Еще есть варианты уменьшения - гпг и пр.